Bug 1494633 - missing steps for configuring virt-who with kvm hypervisor/host
Summary: missing steps for configuring virt-who with kvm hypervisor/host
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Docs Virtual Instances Guide
Version: 6.2.11
Hardware: x86_64
OS: Linux
medium
medium vote
Target Milestone: Unspecified
Assignee: Michaela Slaninkova
QA Contact: Russell Dickenson
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-09-22 17:13 UTC by Harshad More
Modified: 2020-12-14 10:12 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-04-05 12:20:01 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Harshad More 2017-09-22 17:13:51 UTC
Document URL: 

https://access.redhat.com/documentation/en-us/red_hat_satellite/6.2/html-single/virtual_instances_guide/#Virt-who_Configuration

Section Number and Name: 

CHAPTER 5. CONFIGURATION AND SERVICES

Describe the issue: 

The section refers how to configure virt-who with different Hypervisor but didn't cover for KVM

-------
5.3. Configuring virt-who to Connect to Red Hat Enterprise Virtualization Hypervisor
5.4. Configuring virt-who to Connect to a Red Hat Enterprise Linux Hypervisor
5.5. Configuring virt-who to Connect to a Red Hat OpenStack Platform Compute Node
5.6. Configuring virt-who to Connect to VMware vCenter
5.7. Configuring virt-who to Connect to Microsoft Hyper-V
-----------------

Suggestions for improvement: 

Add in detail steps for how to configure virt-who with KVM
5.8 Configuring virt-who to Connect to Red Hat KVM

Additional information: 

This might help https://access.redhat.com/solutions/1515983

Comment 1 Andrew Dahms 2018-03-06 03:58:03 UTC
Assigning to Misa for review.

Misa - what we need to do is add a section to the Virtual Instances Guide similar to the others like 'Configuring virt-who to Connect to Red Hat Enterprise Virtualization Hypervisor' that covers the steps for KVM.

See the above article for the details.

Comment 9 Michaela Slaninkova 2018-04-05 08:16:54 UTC
Hello Harshad,


I have reviewed your request and suggest closing this bug. There is no need to change the 6.3 documentation [1] as the new plugin takes care of the virt-who configuration. As to 6.2, the virt-who configuration for a KVM host is documented here [2]. 

I want to make sure that I understood your request and that you are satisfied with the decision to close the bug before actually doing so.


Thank you!


[1] https://access.redhat.com/documentation/en-us/red_hat_satellite/6.3/html-single/virtual_instances_guide/#creating-virt-who-configuration-with-hammer

[2] https://access.redhat.com/documentation/en-us/red_hat_satellite/6.2/html-single/virtual_instances_guide/#configuring_virt_who_to_connect_to_a_red_hat_enterprise_linux_hypervisor

Comment 10 Harshad More 2018-04-05 12:16:06 UTC
(In reply to Michaela Slaninkova from comment #9)
> Hello Harshad,
> 
> 
> I have reviewed your request and suggest closing this bug. There is no need
> to change the 6.3 documentation [1] as the new plugin takes care of the
> virt-who configuration. As to 6.2, the virt-who configuration for a KVM host
> is documented here [2]. 
> 
> I want to make sure that I understood your request and that you are
> satisfied with the decision to close the bug before actually doing so.
> 
> 
> Thank you!
> 
> 
> [1]
> https://access.redhat.com/documentation/en-us/red_hat_satellite/6.3/html-
> single/virtual_instances_guide/#creating-virt-who-configuration-with-hammer
> 
> [2]
> https://access.redhat.com/documentation/en-us/red_hat_satellite/6.2/html-
> single/virtual_instances_guide/
> #configuring_virt_who_to_connect_to_a_red_hat_enterprise_linux_hypervisor

--------------------------

Hello Michaela,

You can go-ahead and close this Bugzilla since the virt-who configuration for a KVM host is documented here [2]. 

regarding There is no need to change the 6.3 documentation

I am not fully convinced that this shouldn't be included in 6.3 Virtual Instance guide since already documented in hammer guide.

But from the customer perspective (who worked on 6.2 and earlier) when I go to https://access.redhat.com/documentation/en-us/red_hat_satellite/6.3/ I see separate Virtual Instances Guide and this doesn't cover the steps.

So we should mention the steps in 6.3 guide or should provide some link to refer Hammer CLI Guide. However I have already created new Bugzilla for the same.

https://bugzilla.redhat.com/show_bug.cgi?id=1562421

Comment 11 Michaela Slaninkova 2018-04-05 12:20:01 UTC
Hello,

Thank you for your fast response. I am closing this BZ ticket.


Note You need to log in before you can comment on or make changes to this bug.